Bug 1284791 - 389-ds-base: ldclt -e randomauthid Segmentation fault.
389-ds-base: ldclt -e randomauthid Segmentation fault.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.8
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
Petr Bokoc
:
Depends On: 1229799 1284786
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 04:09 EST by Stanislav Zidek
Modified: 2016-05-10 15:22 EDT (History)
7 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.15-71.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1284786
Environment:
Last Closed: 2016-05-10 15:22:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Zidek 2015-11-24 04:09:37 EST
+++ This bug was initially created as a clone of Bug #1284786 +++

Same problem present on RHEL-6..

Description of problem:
Segmentation fault..

Version-Release number of selected component (if applicable):
389-ds-base-1.2.11.15-69.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. ldclt  -e randomauthid   -e esearch='*'  -f 'cn=*'   -n 1  -T 1


Actual results:
ldclt version 4.23
/usr/bin/ldclt: line 55:  2575 Segmentation fault      (core dumped) ${dir}/${COMMAND} "$@"


Expected results:
no segfault

Additional info:
# gdb /usr/bin/ldclt-bin core.2575 
GNU gdb (GDB) Red Hat Enterprise Linux (7.2-83.el6)
...
Core was generated by `/usr/bin/ldclt-bin -e randomauthid -e esearch=* -f cn=* -n 1 -T 1'.
Program terminated with signal 11, Segmentation fault.
#0  __strlen_sse42 () at ../sysdeps/x86_64/multiarch/strlen-sse4.S:32
32		pcmpeqb	(%rdi), %xmm1
Comment 2 Amita Sharma 2015-12-31 06:19:12 EST
[root@mgmt3 export]# ldclt-bin -b "ou=people,dc=example,dc=com" -D "cn=Directory Manager" -w Secret123 -e "esearch,randombinddn,randombinddnlow=10,randombinddnhigh=99,randomattrlist=cn:sn:uid:ou:telephoneNumber:facsimileTelephoneNumber:mobile:roomNumber" -n 100 -I 32 -r 1 -R 9999 -f "uid=testXX" -s subtree -V
ldclt version 4.23
Set file number to 4096
ldclt-bin -b ou=people,dc=example,dc=com -D "cn=Directory Manager" -w Secret123 -e esearch,randombinddn,randombinddnlow=10,randombinddnhigh=99,randomattrlist=cn:sn:uid:ou:telephoneNumber:facsimileTelephoneNumber:mobile:roomNumber -n 100 -I 32 -r 1 -R 9999 -f uid=testXX -s subtree -V
Process ID         = 12692
Host to connect    = localhost
Port number        = 389
Bind DN            = cn=Directory Manager
Passwd             = Secret123
Referral           = on
Base DN            = ou=people,dc=example,dc=com
Filter             = "uid=testXX"
Attributes list    = cn sn uid ou telephoneNumber facsimileTelephoneNumber mobile roomNumber
Max times inactive = 3
Max allowed errors = 1000
Number of samples  = -1
Number of threads  = 100
Total op. req.     = -1
Running mode       = 0x80000883
Running mode       = verbose very_verbose randombinddn exact_search randomattrlist
LDAP oper. timeout = 30 sec
Sampling interval  = 10 sec
Scope              = subtree
Attrsonly          = 0
Bind DN's head     = "cn=Directory Manager"
Bind DN's tail     = ""
Bind DN's range    = [10 , 99]
Bind passwd's head = "Secret123"
Bind passwd's tail = ""
Ignore error       = 32 (No such object)
ldclt[12692]: Starting at Thu Dec 31 06:16:37 2015

ldclt[12692]: Creating thread T000
ldclt[12692]: Creating thread T001
ldclt[12692]: Creating thread T002
ldclt[12692]: Creating thread T003
ldclt[12692]: Creating thread T004
ldclt[12692]: Creating thread T005
ldclt[12692]: Creating thread T006
ldclt[12692]: Creating thread T007
ldclt[12692]: Creating thread T008
ldclt[12692]: Creating thread T009
ldclt[12692]: Creating thread T010
ldclt[12692]: Creating thread T011
ldclt[12692]: Creating thread T012
ldclt[12692]: Creating thread T013
ldclt[12692]: Creating thread T014
ldclt[12692]: Creating thread T015
ldclt[12692]: Creating thread T016
ldclt[12692]: Creating thread T017
ldclt[12692]: Creating thread T018
ldclt[12692]: Creating thread T019
ldclt[12692]: Creating thread T020
ldclt[12692]: Creating thread T021
ldclt[12692]: Creating thread T022
ldclt[12692]: Creating thread T023
ldclt[12692]: Creating thread T024
ldclt[12692]: Creating thread T025
ldclt[12692]: Creating thread T026
ldclt[12692]: Creating thread T027
ldclt[12692]: Creating thread T028
ldclt[12692]: Creating thread T029

Worked well for me..
Just noted CPU usage was high as 300% for ns-slapd.
Comment 4 errata-xmlrpc 2016-05-10 15:22:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0737.html

Note You need to log in before you can comment on or make changes to this bug.